Subject: Re: Running Win10 after end of life

From: David Schwartz via PLUG-discuss <[email-masked]>
Date: Thu, 8 May 2025 12:01:14 -0700

I truly appreciate your concern and encouragement to spend money needlessly. I typically keep my hardware until it dies. If you prefer to replace yours on a schedule even if it’s still working, that’s up to you. So far, my Mac hardware has lasted far longer than anything running Windows. I doubt it’s the OS. 

(My first iMac died not long after the Apple Care expired — a chip on the video card failed and they wanted nearly $700 to replace it. That didn’t seem like a wise investment, so I pulled out the RAM and HD, and sold the carcass for nearly $400. I could have gotten more than that by parting out the case, PS, LCD display, and logic board separately, but that would have taken longer.)

However, I also know that Windows attracts more than an order of magnitude more attempts to hack the system versus all other platforms combined, so I CHOOSE to avoid it in large part for that reason alone. I also prefer *nix to Windows as it’s far more stable.

Value is measured over time. My experience with Apple’s hardware is that it lasts far longer than anything I’ve had that runs Windows. And it does not depreciate nearly as quickly. I’m quite happy with the value I’ve gotten for my money.

-David Schwartz

> On May 7, 2025, at 10:02 AM, Matthew Gibson via PLUG-discuss <[email-masked]> wrote:
> 
> My wife's macbook died. Multiple times. Several were hard drive failures. We replaced, with Apple-nazi sanctioned hardware. The final death was when the graphics card stopped working. Could get a framebuffer on it. But anything more intensive? nope. Thing said 'Newp!' So I said 'good-riddance'.
> 
> You can like whatever hardware you want. As for me and my house? I don't run Apple crap.
> Too much headache. Too much engineered obsolescence. Too much money for what it's worth.
> Even with the "better hardware" rationale for fanboys paying out every time a new phone comes out which only improves slightly on a camera, or better, adds a feature that android has had for years.
> 
> I wouldn't want to do any serious work on your old macs that are ancient. Have you done any vulnerability scans on them? "Might want to look into that" ~Tony Stark, as he bonks the head of the bad guy in Iron Man I.
> 
> Anyways, I'm not going to change your mind, and this conversation grows ancient. Like your macs.
> 
> T.T.F.N.
> 
> On Tue, May 6, 2025 at 6:03 PM David Schwartz via PLUG-discuss <[email-masked] <mailto:[email-masked]>> wrote:
> On May 4, 2025, at 7:36 PM, Keith Smith via PLUG-discuss <[email-masked] <mailto:[email-masked]>> wrote:
> > 
> > I did not know there was a bias on the list.
> > 
> > - Keith
> > 
> 
> It’s when people mention “the Apple tax” that the bias shows up.
> 
> At least my older Macs don’t turn into door-stops when Apple stops supporting them. Two of them cannot be upgraded to the latest versions of MacOS, but they are fully functional.
> 
> From all of the warnings I’m reading about Windows 10, I’m really not sure what to expect. I have two computers that I can’t upgrade to Win 11.
> 
> -David Schwartz
> 
> ---------------------------------------------------
> PLUG-discuss mailing list: [email-masked] <mailto:[email-masked]>
> To subscribe, unsubscribe, or to change your mail settings:
> https://lists.phxlinux.org/mailman/listinfo/plug-discuss <https://lists.phxlinux.org/mailman/listinfo/plug-discuss>
> ---------------------------------------------------
> PLUG-discuss mailing list: [email-masked]
> To subscribe, unsubscribe, or to change your mail settings:
> https://lists.phxlinux.org/mailman/listinfo/plug-discuss

---------------------------------------------------
PLUG-discuss mailing list: [email-masked]
To subscribe, unsubscribe, or to change your mail settings:
https://lists.phxlinux.org/mailman/listinfo/plug-discuss